asgiref==3.8.1
b64==0.4
beautifulsoup4==4.13.4
bs4==0.0.2
cached_properties==0.7.4
certifi==2025.6.15
charset-normalizer==3.4.2
Django==5.2.3
django-filter==25.1
djangorestframework==3.16.0
drf-writable-nested==0.7.2
idna==3.10
lxml==6.0.0
numpy==2.3.1
pyserial==3.5
requests==2.32.4
soupsieve==2.7
sqlparse==0.5.3
typing_extensions==4.14.0
tzdata==2025.2
urllib3==2.5.0
